clc
clear

syms s
Kc=1;

Y1=Kc/(6*s^3+11*s^2+6*s+1);

H=Y1;

[num, den]=numden(H)
num=sym2poly(num);
den=sym2poly(den);

roots_num=roots(num)
ROOTS=roots(den)
[a,b]=size(ROOTS)

for i=1:1:a;
if ROOTS(i) > 0
    disp('το συστημα ειναι ασταθές')
elseif ROOTS(i) < 0
    disp('το συστημα ειναι ευσταθές')
else
    disp('το συστημα ειναι οριακά ευσταθές')
end     
end

Gs=tf(num,den)
rlocus(Gs)
